<div class="text-layout">
    <h1>Pipe personalizados</h1>
    <p>Pipes creados por {{ 'nosotros' | mayusculas:enMayusculas }} </p>

</div>

<p-toolbar>
    <div class="p-toolbar-group-left">
    </div>

    <div class="p-toolbar-group-right">
        <button pButton label="toggle mayúsculas" (click)="Cambiar()" class="p-mr-1 p-button-warning">
      </button>
        <button pButton icon="pi pi-sort" label="Por nombre" class="p-mr-1" (click)="cambiarOrden('nombre')"></button>
        <button pButton icon="pi pi-sort" label="Vuela" class="p-mr-1 p-button-success" (click)="cambiarOrden('vuela')"></button>
        <button pButton icon="pi pi-sort" label="Por color" class="p-mr-1 p-button-help" (click)="cambiarOrden('color')"></button>
    </div>
</p-toolbar>

<div class="p-grid">
    <div class="p-col p-mt-2">
        <p-table [value]="heroes | ordenar:ordenarPor">
            <ng-template pTemplate="header">
                <tr>
                    <th>Nombre</th>
                    <th>Vuela</th>
                    <th>Color</th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-heroe>
                <tr>
                    <td>{{heroe.nombre}}</td>
                    <td>{{heroe.vuela | vuela | titlecase}}</td>
                    <td>{{heroe.color}}</td>
                </tr>
            </ng-template>
        </p-table>
    </div>
</div>
<div class="p-grid">
    <div class="p-col p-mt-2">
        <p-table [value]="heroes  | slice:0">
            <ng-template pTemplate="header">
                <tr>
                    <th pSortableColumn="nombre">Nombre
                        <p-sortIcon field="nombre"></p-sortIcon>
                    </th>
                    <th pSortableColumn="vuela">Vuela
                        <p-sortIcon field="vuela"></p-sortIcon>
                    </th>
                    <th pSortableColumn="color">Color
                        <p-sortIcon field="color"></p-sortIcon>
                    </th>
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-heroe>
                <tr>
                    <td>{{heroe.nombre}}</td>
                    <td>{{heroe.vuela | vuela | titlecase}}</td>
                    <td>{{heroe.color}}</td>
                </tr>
            </ng-template>
        </p-table>
    </div>
</div>
